#NLS_ENCODING=UTF-8
#NLS_MESSAGEFORMAT_NONE
#Tue Mar 01 10:56:03 EST 2016
A\ line-separated\ list\ of\ depot-relative\ paths\ to\ files\ you\ wish\ to\ use\ the\ pop\ command\ on.\ Adds\ the\ -D\ option\ to\ the\ command=[G'\uff21 \uff4c\uff49\uff4e\uff45-\uff53\uff45\uff50\uff41\uff52\uff41\uff54\uff45\uff44 \uff4c\uff49\uff53\uff54 \uff4f\uff46 \uff44\uff45\uff50\uff4f\uff54-\uff52\uff45\uff4cative paths to files you wish to use the pop command on. Adds the -D option to the command\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev=[G'AccuRev\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Changelog=[G'\uff21\uff43\uff43\uff55\uff32ev Changelog\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Checkout=[G'\uff21\uff43\uff43\uff55\uff32ev Checkout\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Cleanup=[G'\uff21\uff43\uff43\uff55Rev Cleanup\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Create\ Tag=[G'\uff21\uff43\uff43\uff55\uff32\uff45v Create Tag\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Quiet\ Period=[G'\uff21\uff43\uff43\uff55\uff32\uff45\uff56 Quiet Period\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Repository=[G'\uff21\uff43\uff43\uff55\uff32\uff45v Repository\u0e0f\u0e39\u0130\u0131\uff5c]
AccuRev\ Source\ Config=[G'\uff21\uff43\uff43\uff55\uff32\uff45\uff56 Source Config\u0e0f\u0e39\u0130\u0131\uff5c]
Changes\ URL=[G'\uff23\uff48anges URL\u0e0f\u0e39\u0130\u0131\uff5c]
Clean\ Workspace=[G'\uff23\uff4c\uff45\uff41n Workspace\u0e0f\u0e39\u0130\u0131\uff5c]
Command\ Path=[G'\uff23\uff4fmmand Path\u0e0f\u0e39\u0130\u0131\uff5c]
Create\ a\ tag\ in\ AccuRev\ of\ the\ specified\ working\ copy.=[G'\uff23\uff52\uff45\uff41\uff54\uff45 \uff41 \uff54\uff41\uff47 \uff49\uff4e AccuRev of the specified working copy.\u0e0f\u0e39\u0130\u0131\uff5c]
Date=[G'Date\u0e0f\u0e39\u0130\u0131\uff5c]
Date\ of\ sourcecode\ to\ checkout\ ('yyyy-MM-dd\ HH\:mm\:ss\ z'\ OR\ 'E\ MMM\ dd\ HH\:mm\:ss\ zzz\ yyyy'\ OR\ milliseconds\ since\ Unix\ Epoch).\ Defaults\ to\ the\ current\ time.=[G'\uff24\uff41\uff54\uff45 \uff4f\uff46 \uff53\uff4f\uff55\uff52\uff43\uff45\uff43\uff4f\uff44\uff45 \uff54\uff4f \uff43\uff48\uff45\uff43\uff4b\uff4f\uff55\uff54 ('\uff59\uff59\uff59\uff59-\uff2d\uff2d-\uff44\uff44 \uff28\uff28\:\uff4dm\:ss z' OR 'E MMM dd HH\:mm\:ss zzz yyyy' OR milliseconds since Unix Epoch). Defaults to the current time.\u0e0f\u0e39\u0130\u0131\uff5c]
Depot\ Name=[G'\uff24epot Name\u0e0f\u0e39\u0130\u0131\uff5c]
Directory\ Offset=[G'\uff24\uff49\uff52\uff45\uff43tory Offset\u0e0f\u0e39\u0130\u0131\uff5c]
Directory\ offset\ from\ the\ current\ job's\ working\ directory.\ (Use\ '.'\ to\ clone\ into\ the\ current\ working\ directory)=[G'\uff24\uff49\uff52\uff45\uff43\uff54\uff4f\uff52\uff59 \uff4f\uff46\uff46\uff53\uff45\uff54 \uff46\uff52\uff4f\uff4d \uff54\uff48\uff45 \uff43\uff55rrent job's working directory. (Use '.' to clone into the current working directory)\u0e0f\u0e39\u0130\u0131\uff5c]
End\ Date=[G'End Date\u0e0f\u0e39\u0130\u0131\uff5c]
End\ Revision=[G'\uff25\uff4ed Revision\u0e0f\u0e39\u0130\u0131\uff5c]
End\ the\ changelog\ at\ this\ date\ ('yyyy-MM-dd\ HH\:mm\:ss\ z'\ OR\ 'E\ MMM\ dd\ HH\:mm\:ss\ zzz\ yyyy'\ OR\ milliseconds\ since\ Unix\ Epoch)=[G'\uff25\uff4e\uff44 \uff54\uff48\uff45 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff41\uff54 \uff54\uff48\uff49\uff53 \uff44\uff41\uff54\uff45 ('\uff59\uff59\uff59y-MM-dd HH\:mm\:ss z' OR 'E MMM dd HH\:mm\:ss zzz yyyy' OR milliseconds since Unix Epoch)\u0e0f\u0e39\u0130\u0131\uff5c]
End\ the\ changelog\ at\ this\ revision=[G'\uff25\uff4e\uff44 \uff54\uff48\uff45 \uff43\uff48\uff41\uff4egelog at this revision\u0e0f\u0e39\u0130\u0131\uff5c]
Erase\ all\ files\ from\ the\ workspace\ before\ performing\ checkout=[G'\uff25\uff52\uff41\uff53\uff45 \uff41\uff4c\uff4c \uff46\uff49\uff4c\uff45s from the workspace before performing checkout\u0e0f\u0e39\u0130\u0131\uff5c]
Exclude\ Filters=[G'\uff25\uff58\uff43\uff4cude Filters\u0e0f\u0e39\u0130\u0131\uff5c]
Exclude\ this\ list\ of\ usernames=[G'\uff25\uff58\uff43\uff4c\uff55\uff44\uff45 \uff54\uff48is list of usernames\u0e0f\u0e39\u0130\u0131\uff5c]
File\ Filters=[G'\uff26\uff49le Filters\u0e0f\u0e39\u0130\u0131\uff5c]
If\ you\ wish\ to\ use\ another\ property\ for\ your\ password,\ leave\ the\ Password\ field\ blank\ and\ enter\ it\ here.\ Example\:\ ${p\:AccuRevPassword}=[G'\uff29\uff46 \uff59\uff4f\uff55 \uff57\uff49\uff53\uff48 \uff54\uff4f \uff55\uff53\uff45 \uff41\uff4e\uff4f\uff54\uff48\uff45\uff52 \uff50\uff52\uff4f\uff50\uff45rty for your password, leave the Password field blank and enter it here. Example\: $[{p\:AccuRevPassword}]\u0e0f\u0e39\u0130\u0131\uff5c]
Password=[G'Password\u0e0f\u0e39\u0130\u0131\uff5c]
Password\ Script=[G'\uff30\uff41\uff53\uff53word Script\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ AccuRev\ changelog\ and\ publish\ the\ results.=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff21\uff43\uff43\uff55Rev changelog and publish the results.\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ AccuRev\ changelog\ for\ quiet\ period\ detection\ and\ publish\ most\ recent\ change\ date\ within\ the\ period.=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff21\uff43\uff43\uff55\uff32\uff45\uff56 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4fg for quiet period detection and publish most recent change date within the period.\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ AccuRev\ checkout\ of\ the\ workflow's\ source=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff21\uff43\uff43uRev checkout of the workflow's source\u0e0f\u0e39\u0130\u0131\uff5c]
Perform\ a\ cleanup\ of\ the\ AccuRev\ working\ directory=[G'\uff30\uff45\uff52\uff46\uff4f\uff52\uff4d \uff41 \uff43\uff4c\uff45anup of the AccuRev working directory\u0e0f\u0e39\u0130\u0131\uff5c]
Populate\ Locations=[G'\uff30\uff4f\uff50\uff55\uff4c\uff41te Locations\u0e0f\u0e39\u0130\u0131\uff5c]
Repository=[G'\uff32epository\u0e0f\u0e39\u0130\u0131\uff5c]
Repository\ Host=[G'\uff32\uff45\uff50\uff4fsitory Host\u0e0f\u0e39\u0130\u0131\uff5c]
Restrict\ changelog\ to\ files\ matching\ these\ patterns.\ Lines\ start\ with\ +\ to\ include\ and\ -\ to\ exclude.\ Wildcards\ *,\ **,\ and\ ?\ are\ allowed.=[G'\uff32\uff45\uff53\uff54\uff52\uff49\uff43\uff54 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff54\uff4f \uff46\uff49\uff4c\uff45\uff53 \uff4d\uff41\uff54\uff43\uff48\uff49\uff4eg these patterns. Lines start with + to include and - to exclude. Wildcards *, **, and ? are allowed.\u0e0f\u0e39\u0130\u0131\uff5c]
Revision=[G'Revision\u0e0f\u0e39\u0130\u0131\uff5c]
SCM=[G'SCM\u0e0f\u0e39\u0130\u0131\uff5c]
Select\ the\ AccuRev\ Repository=[G'\uff33\uff45\uff4c\uff45\uff43\uff54 \uff54\uff48\uff45 AccuRev Repository\u0e0f\u0e39\u0130\u0131\uff5c]
Source=[G'Source\u0e0f\u0e39\u0130\u0131\uff5c]
Source\ Config=[G'\uff33\uff4f\uff55rce Config\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ Date=[G'\uff33tart Date\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ Revision=[G'\uff33\uff54\uff41\uff52t Revision\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ the\ changelog\ at\ this\ date\ ('yyyy-MM-dd\ HH\:mm\:ss\ z'\ OR\ 'E\ MMM\ dd\ HH\:mm\:ss\ zzz\ yyyy'\ OR\ milliseconds\ since\ Unix\ Epoch)=[G'\uff33\uff54\uff41\uff52\uff54 \uff54\uff48\uff45 \uff43\uff48\uff41\uff4e\uff47\uff45\uff4c\uff4f\uff47 \uff41\uff54 \uff54\uff48\uff49\uff53 \uff44\uff41\uff54\uff45 ('\uff59\uff59yy-MM-dd HH\:mm\:ss z' OR 'E MMM dd HH\:mm\:ss zzz yyyy' OR milliseconds since Unix Epoch)\u0e0f\u0e39\u0130\u0131\uff5c]
Start\ the\ changelog\ at\ this\ revision=[G'\uff33\uff54\uff41\uff52\uff54 \uff54\uff48\uff45 \uff43\uff48angelog at this revision\u0e0f\u0e39\u0130\u0131\uff5c]
Stream=[G'Stream\u0e0f\u0e39\u0130\u0131\uff5c]
Tag=[G'Tag\u0e0f\u0e39\u0130\u0131\uff5c]
The\ AccuRev\ depot\ name\ or\ ID.\ This\ is\ optional\ and\ can\ be\ used\ as\ part\ of\ the\ source\ config's\ stream\ name\ with\ ${source/repo/depotName}.\ If\ set,\ this\ will\ be\ recorded\ with\ any\ source\ changes\ for\ use\ by\ the\ AccuWork\ plugin.=[G'\uff34\uff48\uff45 \uff21\uff43\uff43\uff55\uff32\uff45\uff56 \uff44\uff45\uff50\uff4f\uff54 \uff4e\uff41\uff4d\uff45 \uff4f\uff52 \uff29\uff24. \uff34\uff48\uff49\uff53 \uff49\uff53 \uff4f\uff50\uff54\uff49\uff4f\uff4e\uff41\uff4c \uff41\uff4e\uff44 \uff43\uff41\uff4e \uff42\uff45 \uff55\uff53\uff45\uff44 \uff41\uff53 part of the source config's stream name with $[{source/repo/depotName}]. If set, this will be recorded with any source changes for use by the AccuWork plugin.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ AccuRev\ host\:port\ connection\ setting=[G'\uff34\uff48\uff45 \uff21\uff43\uff43\uff55\uff32\uff45\uff56 \uff48ost\:port connection setting\u0e0f\u0e39\u0130\u0131\uff5c]
The\ AccuRev\ plugin\ automates\ populating\ an\ AccuRev\ workspace,\ creating\ a\ tag,\ and\ publishing\ source\ changes\ to\ the\ Changes\ tab\ of\ the\ Build\ Life.=[G'\uff34\uff48\uff45 \uff21\uff43\uff43\uff55\uff32\uff45\uff56 \uff50\uff4c\uff55\uff47\uff49\uff4e \uff41\uff55\uff54\uff4f\uff4d\uff41\uff54\uff45\uff53 \uff50\uff4f\uff50\uff55\uff4c\uff41\uff54\uff49\uff4eg an AccuRev workspace, creating a tag, and publishing source changes to the Changes tab of the Build Life.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ location\ of\ the\ AccuRev\ command\ if\ not\ on\ the\ system's\ PATH=[G'\uff34\uff48\uff45 \uff4c\uff4f\uff43\uff41\uff54\uff49\uff4f\uff4e \uff4f\uff46 the AccuRev command if not on the system's PATH\u0e0f\u0e39\u0130\u0131\uff5c]
The\ password\ to\ be\ used\ to\ connect\ to\ the\ AccuRev\ server.=[G'\uff34\uff48\uff45 \uff50\uff41\uff53\uff53\uff57\uff4f\uff52\uff44 \uff54o be used to connect to the AccuRev server.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ stream\ to\ check\ out=[G'\uff34\uff48\uff45 \uff53\uff54\uff52\uff45\uff41m to check out\u0e0f\u0e39\u0130\u0131\uff5c]
The\ tag\ name\ to\ create=[G'\uff34\uff48\uff45 \uff54\uff41\uff47 \uff4e\uff41me to create\u0e0f\u0e39\u0130\u0131\uff5c]
The\ user\ name\ to\ be\ used\ to\ connect\ to\ the\ AccuRev\ server.=[G'\uff34\uff48\uff45 \uff55\uff53\uff45\uff52 \uff4e\uff41\uff4d\uff45 \uff54o be used to connect to the AccuRev server.\u0e0f\u0e39\u0130\u0131\uff5c]
The\ version\ to\ check\ out=[G'\uff34\uff48\uff45 \uff56\uff45\uff52\uff53\uff49on to check out\u0e0f\u0e39\u0130\u0131\uff5c]
Trigger\ Language=[G'\uff34\uff52\uff49\uff47\uff47er Language\u0e0f\u0e39\u0130\u0131\uff5c]
Trigger\ Script=[G'\uff34\uff52\uff49\uff47ger Script\u0e0f\u0e39\u0130\u0131\uff5c]
User\ Name=[G'User Name\u0e0f\u0e39\u0130\u0131\uff5c]
Using\ wget\ (Unix)\ \#\!/bin/bash\ TRIGGER_URL\="${triggerUrl}"\ CODE\="${triggerCode}"\ STREAM\="[insert\ stream\ name\ here]"\ wget\ -O\ /dev/null\ --quiet\ --no-check-certificate\ --post-data\="code\=$CODE&stream\=$STREAM"\ "$TRIGGER_URL"\ \#\ To\ use\ curl\ instead\ of\ wget,\ use\ this\ command\ \#\ curl\ --retry\ 1\ -k\ -d\ "code\=$CODE&stream\=$STREAM"\ -o\ /dev/null\ "$TRIGGER_URL"=[G'\uff35\uff53\uff49\uff4e\uff47 \uff57\uff47\uff45\uff54 (\uff35\uff4e\uff49\uff58) \#\!/\uff42\uff49\uff4e/\uff42\uff41\uff53\uff48 \uff34\uff32\uff29\uff27\uff27\uff25\uff32_\uff35\uff32\uff2c\="$[{triggerUrl}]" \uff23\uff2f\uff24\uff25\="$[{triggerCode}]" \uff33\uff34\uff32\uff25\uff21\uff2d\="[\uff49\uff4e\uff53\uff45\uff52\uff54 \uff53\uff54\uff52\uff45\uff41\uff4d \uff4e\uff41\uff4d\uff45 \uff48\uff45\uff52\uff45]" \uff57\uff47\uff45\uff54 -\uff2f /\uff44\uff45\uff56/\uff4e\uff55\uff4c\uff4c --\uff51\uff55\uff49\uff45\uff54 --\uff4eo-check-certificate --post-data\="code\=[$CODE]&stream\=[$STREAM]" "[$TRIGGER_URL]" \# To use curl instead of wget, use this command \# curl --retry 1 -k -d "code\=[$CODE]&stream\=[$STREAM]" -o /dev/null "[$TRIGGER_URL]"\u0e0f\u0e39\u0130\u0131\uff5c]
